package com.dsic.gj_erp.bean.zyjh;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DmYppyz extends Model<DmYppyz> {

    @TableId(type = IdType.AUTO)
    public Integer id;

    public String dcCh;

    private String dcPl;

    private String dcFd;

    private String kw;

    private String zl;

    private String tz;

    private String lx;

    private String xj;

    private String ppch;//配盘船号

    private String ypph;//预配盘号

    private Integer dwxxId;

    private StatusEnum status=StatusEnum.未设置垛位;

    public static StatusEnum 已设置垛位状态(){
        return StatusEnum.设置垛位;
    }

    public static DmYppyz of(DmYdjh ydjh){

        DmYppyz dmYppyz = new DmYppyz();
        BeanUtil.copyProperties(ydjh,dmYppyz);
        return dmYppyz;
    }

    public enum StatusEnum{
        未设置垛位,设置垛位,已配送
    }
}
